Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GUI

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11087
Description

The --extent command line option does not appear to work. | am running qgis with a command like this:

qgis --project myproject.qgs --extent ### #it# #Hi# #Hi#

When the application starts, it is zoomed out by a hundred miles or so from the original coordinates. | verified that my extent coordinates
are correct.

As of this evening, | am using the latest version from HEAD. | also see that the --snapshot argument was fixed since 0.9.1. Thanks!

History

#1 - 2008-04-07 04:28 AM - masneyb -

| did some more digging this morning. The extent is making it to [[QgsMapRender]]::setExtent(). The extent is readjusted by
[[QgsMapRender]]::adjustExtentToSize(). When QGis starts up, the initial window size is rather small. Is there a way to have qgis start in a maximized

state?
| see that it writes some geometry information to the config file. Here are the relevant settings:

[Composer]
geometry=@ByteArray(\x1\\xd9\\xd0\\xcb\\0\\x 1\WONOWOWONOWO\NOWONO WX T a\\OW0\X3\\x 1FNON0\\X2Z\OWOWOWO OO WO X 10O X3\ T AVOWONX2Z\ OO
\\0\\0\\0)

(1

canvasSplitterState=ByteArray(\\0\\0\\0\\xfANO\WOWOWONONOWOWX 200X 1\\x 1 2\\0NOAX 1\

A TWOWONONXB\\X T\ONONONX 1)

encoding=System

geometry=@ByteArray(\\x1\xd9\\xd0\\xcb\\0\\x 1\ONOWNOWONOWNONONOWONXB4N0N0 X 2\\X65\\ 00\ T\ dIWONOWO XS \OWOWONWOWOX2
WOWO\X1\\xd4\\0\WO\\O\OWO\O)

[Windows]

Bookmarks\\geometry=@ByteArray(\x1\\xd9\\xd0\\xcb\0\\x 1\\OWOWOWOWONXENONOWN0X 1aWONO X T\WWWO WO 1

WOWOWONXENONON0NX TaWOWO\X TIWWOW0\X T WOWOWOWOWOWO)

Identify\\geometry=@ByteArray(\\x1\\xd9\\xd0\\xcb\\0\\x 1 WOWO WX FAXFAXFAXDIWOWOWOWOWOWOWO\\XAD\WOWO\X T Z\XFXFAXFA\XbeWOWO\O\X 12\ 0WO\WO\\Xd6
\OW0\\x 1 UWOWOWOWOWOWO)

Measure\\geometry=@ByteArray (\\x1\\xd9\\xd0\\xcb\\0\\x 1 WOWOWOWOWO (WONOWOWXBCNONONX T-WON0 X T rONONO-\ONONO \\Xa6\\O W0\ T (WONO X T mWONO\WO
\O\\O\\0)

Measure\\n=200
Brian

#2 - 2008-07-09 05:42 AM - Tim Sutton

Hi

The extents of the map render scene and the extents of the application window are independently of each other. QGIS should remember the window size
from your previous session (thats what the geometry is for in the config file you referred to). Once the window is show the maprender scene is set to the
spatial extents defined in your .qgs file at a scale appropriate to the current window size. If window sizing is still causing you an issue, please file a separate

bug for that.

| am moving this bug to milestone 1.0.0. When the upcoming 0.11.0 release is out in a week or so, please confirm if this --extents bug still exists and if not

close this issue.

Many thanks

Tim

#3 - 2009-07-04 01:53 PM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in
